/* https://www.tutorialspoint.com/how-to-create-a-share-button-with-different-social-handles-using-html-and-css */

function shareOnTwitter(){
    document.getElementById('twitter-share-button').addEventListener('click', function() {
        var tweetText = 'Check out Alexander Gorgis Website!'; // Customize the tweet text as desired
        var tweetUrl = 'https://example.com'; // Customize the URL to be shared
        
        // Open the Twitter sharing popup
        window.open('https://twitter.com/intent/tweet?text=' + encodeURIComponent(tweetText) + '&url=' + encodeURIComponent(tweetUrl));
      });
}

function shareOnLinkedIn(){
    document.getElementById('linkedin-share-button').addEventListener('click', function() {
        var url = 'URL_TO_SHARE'; //ShareURL
        
        // Open the LinkedIn sharing dialog
        window.open('https://www.linkedin.com/share?id=0123456789' + encodeURIComponent(url));
      });
}

function shareOnReddit(){
    document.getElementById('reddit-share-button').addEventListener('click', function() {
        var tweetText = 'Check out Alexander Gorgis Website!'; // Customize the tweet text as desired
        var tweetUrl = 'https://example.com'; // Customize the URL to be shared
        
        // Open the Twitter sharing popup
        window.open('https://reddit.com/submit?url=' + encodeURIComponent(tweetText) + '&url=' + encodeURIComponent(tweetUrl));
      });
}