$(document).ready(function() { //execute code when the DOM is fully loaded and ready
    //use smoothscroll
    $('.smoothscroll').click(function(e) { //select all elements with the class 'smoothscroll' in 
        var target = $(this).data('target');  //target page
        var $activePage = $('.page.active');
        var $targetPage = $('.page.' + target);
        if (!$targetPage.hasClass('active')){ //if the page we have selected as target is not active
            $activePage.fadeOut(400, function() { // fade from our active page
                $activePage.removeClass('active'); // remove the active class from our active page
                $targetPage.fadeIn(400).addClass('active'); //fade In to our target page and make it now our active page.
            });
        }
    });

});

/* <div class="page home active">
<h1>Home Page</h1>
<p>Welcome to my website!</p>
<a href="#" class="transition-link" data-target="about">Go to About Page</a>
</div>

<div class="page about">
<h1>About Page</h1>
<p>Learn more about me and my work.</p>
<a href="#" class="transition-link" data-target="home">Go to Home Page</a>
</div> */